View jobs assigned to the supplier organization. Users with jobs.read see all jobs; otherwise only assigned jobs are returned.
Query parameters
| Name |
Type |
Required |
Description |
search |
string |
no |
Search by organization name, site name, or order number |
fields[] |
string[] |
no |
Select which fields to include in the response. When omitted, all fields are returned. When provided, only the specified fields are included. (e.g., ?fields[]=id&fields[]=number) One of: confirmedAt, createdAt, id, notes, number, status, updatedAt. |
with[] |
string[] |
no |
Include related resources in the response. Pass multiple values as separate query parameters (e.g., ?with[]=organization&with[]=site). One of: organization, site, event. |
orderBy |
string |
no |
Field to order by One of: id, number, status, createdAt, updatedAt. |
order |
string |
no |
Specifies in what direction the results should be ordered (ASC/DESC) One of: asc, desc. |
count |
integer |
no |
Specifies the number of results to show per page of paginated results (1-500) |
Responses
| Status |
Description |
| 200 |
A paginated response of jobs |
Response 200 body
data object[] · required
links object · required
meta object · required
{
"data": [
{
"id": "019222d4-1d93-7d47-a3c4-b547e009a0f7",
"confirmedAt": "string",
"createdAt": "2024-06-30T19:00:00Z",
"event": {
"id": "string",
"start": "string",
"recurring": false
},
"notes": "string",
"number": "25-0000001",
"organization": {
"id": "019222d9-d87d-7724-bba6-ba91503ea311",
"name": "ACME Corporation"
},
"site": {
"id": "019222d9-d87d-7724-bba6-ba91503ea311",
"name": "Stockholm Office"
},
"status": "draft",
"updatedAt": "2024-06-30T19:00:00Z"
}
],
"links": {
"first": "https://api.safesites.app/sites?page=1",
"last": "https://api.safesites.app/sites?page=10",
"prev": null,
"next": "https://api.safesites.app/sites?page=2"
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 10,
"links": [
{
"url": "https://api.safesites.app/sites?page=2",
"label": "Next",
"active": true
}
],
"path": "https://api.safesites.app/sites",
"per_page": 100,
"to": 100,
"total": 1000,
"userId": "01930a9b-7b61-79a5-9ba2-78f0b4b2c196",
"requestId": "01930a9b-8d1f-766f-945c-ef6408134dbc"
}
}